using GLib;

void main(string[] args) {
	Test.init(ref args);

	// Test Suites
	TestSuite.get_root().add_suite(new BlendTest().get_suite());
	TestSuite.get_root().add_suite(new ContrastTest().get_suite());
	TestSuite.get_root().add_suite(new DislikeAnalyzerTest().get_suite());
	TestSuite.get_root().add_suite(new DynamicColorTest().get_suite());
	TestSuite.get_root().add_suite(new Cam16Test().get_suite());
	TestSuite.get_root().add_suite(new HctTest().get_suite());
	TestSuite.get_root().add_suite(new TonalPalettesTest().get_suite());
	TestSuite.get_root().add_suite(new QuantizeCelebiTest().get_suite());
	TestSuite.get_root().add_suite(new QuantizeWsmeansTest().get_suite());
	TestSuite.get_root().add_suite(new QuantizeWuTest().get_suite());
	TestSuite.get_root().add_suite(new DynamicSchemeTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeContentTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeExpressiveTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeFidelityTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeFruitSaladTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeMonochromeTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeNeutralTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeRainbowTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeTonalSpotTest().get_suite());
	TestSuite.get_root().add_suite(new SchemeVibrantTest().get_suite());
	TestSuite.get_root().add_suite(new ScoreTest().get_suite());
	TestSuite.get_root().add_suite(new TemperatureCacheTest().get_suite());
	TestSuite.get_root().add_suite(new ColorUtilsTest().get_suite());
	TestSuite.get_root().add_suite(new MathUtilsTest().get_suite());
	TestSuite.get_root().add_suite(new StringUtilsTest().get_suite());

	Test.run();
}
